Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1966933

Summary: Update to 89.0
Product: [Fedora] Fedora Reporter: Martin Stransky <stransky>
Component: firefoxAssignee: Gecko Maintainer <gecko-bugs-nobody>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: carl, erack, gecko-bugs-nobody, jan.public, jhorak, kai-engert-fedora, klaas, pjasicek, redhat-bugzilla, rhughes, robatino, rstrode, sandmann
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: firefox-89.0-1.fc34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-10 01:13:35 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Martin Stransky 2021-06-02 07:52:28 UTC
Description of problem:

With Firefox-89.0/Fedora 34 we're blocked by some gcc-11.0 bugs:

https://bugzilla.mozilla.org/show_bug.cgi?id=1710235
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=100644

https://bugzilla.mozilla.org/show_bug.cgi?id=1711811

gcc-11.1.1-3.fc34 should fix it:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1757009

Comment 2 Klaas Demter 2021-06-06 07:31:28 UTC
sorry, forgot to put a message with the url, gcc 11.1.1-3 is now in stable, koji build succeeded.

Comment 3 Andre Robatino 2021-06-06 07:34:19 UTC
Anyone know what's going on with F33? The firefox build for that has been running for days, and there's no corresponding gcc update.

Comment 4 Klaas Demter 2021-06-06 07:44:40 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=69095368 koji build the packages successful but you can see an error message in results. I would say it tried to reach kojipkgs-cache01.s390.fedoraproject.org but it failed. This seems to have stopped the whole workflow.

Comment 5 Klaas Demter 2021-06-06 07:50:49 UTC
I can't add the release to bodhi, I am guessing one of the package maintainers has to do this @stransky or @jhorak

Comment 6 Fedora Update System 2021-06-08 07:51:49 UTC
FEDORA-2021-af55f610eb has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-af55f610eb

Comment 7 Fedora Update System 2021-06-10 01:13:35 UTC
FEDORA-2021-af55f610eb has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Red Hat Bugzilla 2023-09-15 01:08:53 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 500 days